__gnu_cxx::project2nd(3)

NAME
__gnu_cxx::project2nd -

SYNOPSIS

Inherits _Project2nd< _Arg1, _Arg2 >.

Detailed Description

  template<class _Arg1, class _Arg2> struct __gnu_cxx::project2nd< _Arg1, _Arg2 >

Definition at line 240 of file ext/functional.

  Public Types
typedef _Arg1 first_argument_type
typedef _Result result_type
typedef _Arg2 second_argument_type

  Public Member Functions
_Arg2 operator() (const _Arg1 &, const _Arg2 &__y) const

Member Typedef Documentation

  typedef _Arg1 first_argument_type [inherited]

the type of the first argument

Definition at line 116 of file stl_function.h.

  typedef _Result result_type [inherited]

type of the return type

Reimplemented in _Reference_wrapper_base_impl< true, true, _Tp >.

Definition at line 120 of file stl_function.h.

  typedef _Arg2 second_argument_type [inherited]

(no surprises here) the type of the second argument

Definition at line 119 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.